﻿using System.Configuration;

namespace SimpleFileManager
{
    public static class UploadManager
    {
        private static string uploadUrl;
        private static string urlPrefix;

        static UploadManager()
        {
            var config = ConfigurationManager.GetSection("UploadConfig") as UploadConfig;
            uploadUrl = config != null && !string.IsNullOrEmpty(config.UploadUrl) ? config.UploadUrl : "~/File/Upload";
            urlPrefix = config != null && !string.IsNullOrEmpty(config.UrlPrefix) ? config.UrlPrefix : "~/Upload";
        }

        public static string UploadUrl
        {
            get
            {
                return uploadUrl.StartsWith("~") ? UploadHelper.GetUrlFromVisualPath(uploadUrl) : uploadUrl; 
            }
        }

        public static string UrlPrefix
        {
            get
            {
                return urlPrefix.StartsWith("~") ? UploadHelper.GetUrlFromVisualPath(urlPrefix) : urlPrefix; ;
            }
        }
    }
}